/**
 * CRFalign: A CRF-based sentence aligner for parallel corpora.
 *
 * Copyright (C) 2012 Eva Mujdricza-Maydt Copyright (C) 2012 Huiqin Körkel-Qu
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Developers: - Eva Mujdricza-Maydt (mujdricz@cl.uni-heidelberg.de) - Huiqin
 * Körkel-Qu (huiqin@cl.uni-heidelberg.de)
 */
package general;

import java.io.File;

/**
 * to get the path where the files stopwords.de, stopwords.en, posMapDeEnPure
 * are get the path of current class at first, and go to upper directories until
 * to the path for all the classes the under the parallel lib directory are the
 * help files(3 files).
 *
 * @author Huiqin Körkel-Qu
 */
public class getHelpPath {

	public static void main(String[] args) {
		getHelpPath h = new getHelpPath();
		h.get();
	}

	public String get() {
		String[] pathSplit = this.getClass().getClassLoader().getResource("general/getHelpPath.class").getPath().split("/");
		StringBuilder path = new StringBuilder();
		path.append("/");
		for (int i = 0; i < pathSplit.length - 3; i++) {
			path.append(pathSplit[i] + "/");
		}
//		return path.toString();
		String pathS = path.toString(); //E
		if (pathS.endsWith("build/")) {
			pathS = pathS.substring(0, pathS.length() - "build/".length());
		} else if (pathS.endsWith("bin/")) {
			pathS = pathS.substring(0, pathS.length() - "bin/".length());
		}
		return pathS;

	}

	public String get_o() {
		String[] pathSplit = this.getClass().getClassLoader().getResource("general/getHelpPath.class").getPath().split("/");
		System.out.println(java.util.Arrays.toString(pathSplit));
		StringBuilder path = new StringBuilder();
		path.append("/");
		for (int i = 0; i < pathSplit.length - 3; i++) {
			path.append(pathSplit[i] + "/");
		}
		System.out.println("path is " + path.toString());
		return path.toString();
	}
}
